package tae.demo.services;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

public class LogServiceDemo extends HttpServlet {
	
	private static final long serialVersionUID = -1858272735990735893L;
	private static Logger logger = LoggerFactory.getLogger(LogServiceDemo.class);

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        resp.getWriter().println(">> Begin Log Service test!");

        // Test Logging
        logger.debug("log debug: Hello TAE!");
        logger.warn("log warn: Hello TAE!");
        logger.info("log info: Hello TAE!");
        logger.error("log error: Hello TAE!");

        // Test std output
        System.out.println("system out: Hello TAE!");
        System.err.println("system err: Hello TAE!");

        resp.getWriter().println("You can see log content on TAE console!");
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        doGet(req, resp);
    }
}
